from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.1.0'
DESCRIPTION = 'Translating Hubspot Articles'
LONG_DESCRIPTION = 'Auto translation of Hubspot Knowledgebase Articles powered by Selenium'

# Setting up
setup(
    name="hubspot_article_translator",
    version=VERSION,
    author="mattcoulter7 (Matt Coulter)",
    author_email="<mattcoul7@gmail.com>",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=[],
    keywords=['python', 'hubspot', 'translation', 'knowledgebase', 'articles'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ]
)